aboutsummaryrefslogtreecommitdiffstats
path: root/make
diff options
context:
space:
mode:
Diffstat (limited to 'make')
-rw-r--r--make/install_dir_data.sh.in70
-rw-r--r--make/otp.mk.in2
-rw-r--r--make/otp_version_tickets_in_merge79
3 files changed, 151 insertions, 0 deletions
diff --git a/make/install_dir_data.sh.in b/make/install_dir_data.sh.in
new file mode 100644
index 0000000000..8c1dc3d889
--- /dev/null
+++ b/make/install_dir_data.sh.in
@@ -0,0 +1,70 @@
+#!/bin/sh
+#
+# %CopyrightBegin%
+#
+# Copyright Ericsson AB 2019. All Rights Reserved.
+#
+# The contents of this file are subject to the Erlang Public License,
+# Version 1.1, (the "License"); you may not use this file except in
+# compliance with the License. You should have received a copy of the
+# Erlang Public License along with this software. If not, it can be
+# retrieved online at http://www.erlang.org/.
+#
+# Software distributed under the License is distributed on an "AS IS"
+# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
+# the License for the specific language governing rights and limitations
+# under the License.
+#
+# %CopyrightEnd%
+#
+
+#
+# install_dir_data.sh <SourceDir> <DestDir>
+#
+# Install all content in <SourceDir> including subdirectories
+# into <DestDir>.
+#
+
+INSTALL="@INSTALL@"
+INSTALL_DIR="@INSTALL_DIR@"
+INSTALL_DATA="@INSTALL_DATA@"
+
+debug=yes
+
+error () {
+ echo "ERROR: $1" 1>&2
+ exit 1
+}
+
+usage () {
+ error "$1\n Usage $progname <SourceDir> <DestDir>"
+}
+
+cmd () {
+ [ $debug = no ] || echo "$@"
+ "$@" || exit 1
+}
+
+progname="$0"
+
+[ $# -eq 2 ] || usage "Invalid amount of arguments"
+
+src="$1"
+dest="$2"
+
+cmd cd "$src"
+
+for dir in `find . -type d`; do
+ destdir="$dest"
+ [ "$dir" = "." ] || destdir="$dest/$dir"
+ cmd $INSTALL_DIR "$destdir"
+done
+
+for file in `find . -type f`; do
+ subdir=`dirname "$file"`
+ destdir="$dest"
+ [ "$subdir" = "." ] || destdir="$dest/$subdir"
+ cmd $INSTALL_DATA "$file" "$destdir"
+done
+
+exit 0
diff --git a/make/otp.mk.in b/make/otp.mk.in
index df29d26833..ceff8f7c31 100644
--- a/make/otp.mk.in
+++ b/make/otp.mk.in
@@ -73,6 +73,7 @@ INSTALL_DIR = @INSTALL_DIR@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_DATA = @INSTALL_DATA@
+INSTALL_DIR_DATA = $(ERL_TOP)/make/install_dir_data.sh
CC = @CC@
GCC = @GCC@
@@ -274,6 +275,7 @@ XSLTPROC = @XSLTPROC@
FOP = @FOP@
XMLLINT = @XMLLINT@
CP = @CP@
+MKDIR = @MKDIR@
DOCGEN=$(ERL_TOP)/lib/erl_docgen
FOP_CONFIG = $(DOCGEN)/priv/fop.xconf
diff --git a/make/otp_version_tickets_in_merge b/make/otp_version_tickets_in_merge
index e69de29bb2..77633c2ce2 100644
--- a/make/otp_version_tickets_in_merge
+++ b/make/otp_version_tickets_in_merge
@@ -0,0 +1,79 @@
+OTP-14702
+OTP-15229
+OTP-15298
+OTP-15369
+OTP-15375
+OTP-15398
+OTP-15423
+OTP-15442
+OTP-15445
+OTP-15447
+OTP-15460
+OTP-15479
+OTP-15484
+OTP-15490
+OTP-15493
+OTP-15494
+OTP-15498
+OTP-15502
+OTP-15503
+OTP-15508
+OTP-15514
+OTP-15518
+OTP-15519
+OTP-15527
+OTP-15529
+OTP-15539
+OTP-15540
+OTP-15541
+OTP-15542
+OTP-15545
+OTP-15552
+OTP-15553
+OTP-15555
+OTP-15556
+OTP-15557
+OTP-15558
+OTP-15561
+OTP-15562
+OTP-15567
+OTP-15569
+OTP-15570
+OTP-15572
+OTP-15576
+OTP-15577
+OTP-15578
+OTP-15580
+OTP-15583
+OTP-15584
+OTP-15586
+OTP-15587
+OTP-15592
+OTP-15599
+OTP-15600
+OTP-15601
+OTP-15602
+OTP-15604
+OTP-15605
+OTP-15619
+OTP-15624
+OTP-15625
+OTP-15629
+OTP-15630
+OTP-15634
+OTP-15637
+OTP-15639
+OTP-15642
+OTP-15647
+OTP-15650
+OTP-15654
+OTP-15657
+OTP-15659
+OTP-15660
+OTP-15662
+OTP-15663
+OTP-15665
+OTP-15666
+OTP-15667
+OTP-15669
+OTP-15670